const fs = require('fs')
const path = require('path')

// Hack to support working while symlinked into ../desktop/node_modules/filmlab/
if (__dirname.indexOf('node_modules') > -1) __dirname = __dirname + "/../.."
__dirname = __dirname.replace(/\\/gm, '/')

const libs = [];
['build/native/third_party_build/lib', 'build/native/third_party_build/lib/opencv4/3rdparty'].forEach(
    function(dir) {
        fs.readdirSync(__dirname + "/../../" + dir, {withFileTypes: true})
        .forEach(function(f) {
            if (f.isFile() && (f.name.endsWith('.a') || f.name.endsWith('.lib'))) {
                let filename = __dirname + '/../../' + dir + '/' + f.name;
                libs.push(filename);
            }
        });
    });
if (process.platform == 'win32') {
    libs.push(__dirname + '/../../build/native/Release/filmlab.lib')
} else {
    libs.push(__dirname + '/../../build/native/libfilmlab.a')
}
process.stdout.write(libs.join(' ') + '\n');